.TH wxRadioBox 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxRadioBox \- See external documentation: wxRadioBox\&.
.SH DESCRIPTION
.LP
See external documentation: wxRadioBox <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxRadioBox()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]]) -> wxRadioBox()
.br
.RS
.LP
Equivalent to new(Parent, Id, Title, Pos, Size, Choices, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]], Options::[Option]) -> wxRadioBox()
.br
.RS
.TP
Types
Option = {majorDim, integer()} | {style, integer()} | {val, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxwxradiobox>\&.
.RE
.LP
.B
create(This::wxRadioBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]]) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Title, Pos, Size, Choices, [])\&.
.RE
.LP
.B
create(This::wxRadioBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]], Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {majorDim, integer()} | {style, integer()} | {val, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxcreate>\&.
.RE
.LP
.B
enable(This::wxRadioBox()) -> bool()
.br
.RS
.LP
Equivalent to enable(This, [])\&.
.RE
.LP
.B
enable(This::wxRadioBox(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxenable>\&. 
.br
 Alternatives: 
.LP
\fI enable(This::wxRadioBox(), N::integer()) -> enable(This, N, []) \fR
.LP
\fI enable(This::wxRadioBox(), [Option]) -> bool() \fR 
.br
 Option = {enable, bool()} 
.RE
.LP
.B
enable(This::wxRadioBox(), N::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxenable>\&.
.RE
.LP
.B
getSelection(This::wxRadioBox()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetselection>\&.
.RE
.LP
.B
getString(This::wxRadioBox(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetstring>\&.
.RE
.LP
.B
setSelection(This::wxRadioBox(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxsetselection>\&.
.RE
.LP
.B
show(This::wxRadioBox()) -> bool()
.br
.RS
.LP
Equivalent to show(This, [])\&.
.RE
.LP
.B
show(This::wxRadioBox(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxshow>\&. 
.br
 Alternatives: 
.LP
\fI show(This::wxRadioBox(), N::integer()) -> show(This, N, []) \fR
.LP
\fI show(This::wxRadioBox(), [Option]) -> bool() \fR 
.br
 Option = {show, bool()} 
.RE
.LP
.B
show(This::wxRadioBox(), N::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {show, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxshow>\&.
.RE
.LP
.B
getColumnCount(This::wxRadioBox()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetcolumncount>\&.
.RE
.LP
.B
getItemHelpText(This::wxRadioBox(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetitemhelptext>\&.
.RE
.LP
.B
getItemToolTip(This::wxRadioBox(), Item::integer()) -> wxToolTip() (see module wxToolTip)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetitemtooltip>\&.
.RE
.LP
.B
getItemFromPoint(This::wxRadioBox(), Pt::{X::integer(), Y::integer()}) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetitemfrompoint>\&.
.RE
.LP
.B
getRowCount(This::wxRadioBox()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxgetrowcount>\&.
.RE
.LP
.B
isItemEnabled(This::wxRadioBox(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxisitemenabled>\&.
.RE
.LP
.B
isItemShown(This::wxRadioBox(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxisitemshown>\&.
.RE
.LP
.B
setItemHelpText(This::wxRadioBox(), N::integer(), HelpText::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxsetitemhelptext>\&.
.RE
.LP
.B
setItemToolTip(This::wxRadioBox(), Item::integer(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxradiobox\&.html#wxradioboxsetitemtooltip>\&.
.RE
.LP
.B
destroy(This::wxRadioBox()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
